[MIR] xmlunit

Bug #876413 reported by James Page on 2011-10-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ant-contrib (Ubuntu)
Undecided
Unassigned
asm3 (Ubuntu)
Undecided
Unassigned
bouncycastle (Ubuntu)
Undecided
Unassigned
byacc-j (Ubuntu)
Undecided
Unassigned
cglib (Ubuntu)
Undecided
Unassigned
commons-vfs (Ubuntu)
Undecided
Unassigned
ivy (Ubuntu)
Undecided
Unassigned
jarjar (Ubuntu)
Undecided
Unassigned
jmock (Ubuntu)
Undecided
Unassigned
libcommons-cli-java (Ubuntu)
Undecided
Unassigned
libcommons-compress-java (Ubuntu)
Undecided
Unassigned
libcommons-net2-java (Ubuntu)
Undecided
Unassigned
maven-ant-helper (Ubuntu)
Undecided
Unassigned
ow-util-ant-tasks (Ubuntu)
Undecided
Unassigned
qdox (Ubuntu)
Undecided
Unassigned
xmlunit (Ubuntu)
Undecided
Unassigned

Bug Description

RATIONALE:

fop 1.0 pulls in new main dependencies:

  libxmlunit-java
  libqdox-java (refactoring to remove embedded qdox code).

fop is used by a variety of packages to generate documentation.

qdox and associated universe dependencies where in main until oneiric:

  qdox - in main up until oneiric
    maven-ant-helper - in main up until oneiric
      ant-contrib - briefly in main during oneiric (i.e. already MIR'ed)
        ivy - in main up until oneiric
          libcommons-cli-java - in main up until oneiric
          commons-vfs - in main up until oneiric:
            - rewrite to use maven-ant-helper + tests - DONE
            libcommons-compress-java
              - enable test suite - DONE
            libcommons-net2-java
              - enable test suite - DONE
            junit4 (see bug 877146)
          bouncycastle - in main up until oneiric
    jmock - in main up until oneiric
      cglib - in main up until oneiric
        jarjar - in main up until oneiric
      asm3 - in main up until oneiric
        ow-util-ant-tasks - in main up until oneiric
    byacc-j - in main up until oneiric

xmlunit has not been in main;

  xmlunit:
    maven-ant-helper - see above

>> Further Information for new MIR's <<

commons-vfs
-----------

AVAILABILITY: In universe; in main up until oneiric
QA: No long outstanding bugs, well maintained in Debian, Test suite enabled in Ubuntu delta alongside switch to ant build system. No bugs in Ubuntu or Debian.
SECURITY: Unable to find any security issues.
MAINTENANCE: Minimal; even though we will have to maintain an Ubuntu delta to avoid pulling maven into main, this is a mature, stable library so minimal maintenance expected.

libcommons-net2-java
--------------------

AVAILABILITY: In universe
QA: Test suite enabled in Ubuntu delta - seems to have good coverage. No bugs in Ubuntu or Debian.
SECURITY: Unable to find any security issues.
MAINTENANCE: Minimal - aligned to Debian version (once testing fed back) + stable Java library.

libcommons-compress-java
------------------------

AVAILABILITY: In universe
QA: Test suite enabled in Ubuntu delta - seems to have good coverage. No bugs in Ubuntu or Debian.
SECURITY: Unable to find any security issues.
MAINTENANCE: Minimal - aligned to Debian version (once testing fed back) + stable Java library.

xmlunit
-------

AVAILABILITY: In universe
QA: Test suite enabled during build process. No bugs in Ubuntu or Debian.
SECURITY: Unable to find any security issues.
MAINTENANCE: Minimal - aligned to Debian version + stable Java library.

James Page (james-page) on 2011-10-17
description: updated
description: updated
description: updated
James Page (james-page) on 2011-10-17
description: updated
James Page (james-page) on 2011-10-17
description: updated
description: updated
description: updated
James Page (james-page) on 2011-10-17
description: updated
Dave Walker (davewalker) on 2011-10-17
tags: added: server-p-mir
James Page (james-page) on 2011-10-18
description: updated
description: updated
James Page (james-page) on 2011-10-18
description: updated
James Page (james-page) on 2011-10-18
description: updated
James Page (james-page) on 2011-10-18
description: updated
James Page (james-page) on 2011-10-18
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package commons-vfs - 2.0-1ubuntu1

---------------
commons-vfs (2.0-1ubuntu1) precise; urgency=low

  * Use ant build system to support MIR (LP: #876413):
    - d/control: Drop B-D's on maven-debian-helper + cdbs and add
      B-D on maven-ant-helper.
    - d/rules, d/build-classpath, d/build.xml, d/build.properties:
      Configure build to use customized version of maven-ant-helper
      build.xml + debhelper.
    - d/libcommons-vfs-java.poms: Update to pickup build artifacts
      and remove surplus pom files.
    - d/libcommons-vfs-java-doc.install: Pickup documentation
      from core component instead of aggregated javadoc.
    - d/control: Manually set dependencies for binary packages.
  * Enabled test suite:
    - d/patches/disable_webdav_provider.diff: Update patch to
      fix test that checks for webdav support.
    - d/build.xml: Ignore webdav when running tests.
 -- James Page <email address hidden> Tue, 18 Oct 2011 13:53:54 +0100

Changed in commons-vfs (Ubuntu):
status: New → Fix Released
James Page (james-page) on 2011-10-19
Changed in commons-vfs (Ubuntu):
status: Fix Released → New
description: updated
James Page (james-page) on 2011-10-19
description: updated
description: updated
description: updated
affects: asm (Ubuntu) → bouncycastle (Ubuntu)
description: updated
James Page (james-page) on 2011-10-19
description: updated
James Page (james-page) on 2011-10-19
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libcommons-net2-java - 2.2-1ubuntu1

---------------
libcommons-net2-java (2.2-1ubuntu1) precise; urgency=low

  * Updates to support Ubuntu MIR (LP: #876413):
    - d/build.properties: enable test suite execution
    - d/control: Added junit to B-D's to support testing.
    - d/rules: Added ant-junit and junit to DEB_JARS to support testing.
    - d/maven-build.xml: Exclude tests that require network access, fail
      build when tests fail.
  * d/control: Bumped Standards-Version: 3.9.2, no changes
 -- James Page <email address hidden> Tue, 18 Oct 2011 15:26:44 +0100

Changed in libcommons-net2-java (Ubuntu):
status: New → Fix Released
James Page (james-page) on 2011-10-19
description: updated
Changed in libcommons-net2-java (Ubuntu):
status: Fix Released → New
James Page (james-page) on 2011-10-19
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libcommons-compress-java - 1.2-1ubuntu1

---------------
libcommons-compress-java (1.2-1ubuntu1) precise; urgency=low

  * Updates to support Ubuntu MIR (LP: #876413):
    - d/build.xml: Provide targets to compile and execute test suite.
    - d/control: Add B-D's on junit and ant-optional to support testing.
    - d/rules: Add ant-junit and junit to DEB_JARS for testing.
  * d/control: Bumped Standards-Version: 3.9.2, no changes.
  * d/copyright: Updated for revised field names.
 -- James Page <email address hidden> Wed, 19 Oct 2011 09:59:20 +0100

Changed in libcommons-compress-java (Ubuntu):
status: New → Fix Released
James Page (james-page) on 2011-10-19
Changed in libcommons-compress-java (Ubuntu):
status: Fix Released → New
description: updated
description: updated
James Page (james-page) on 2011-10-19
description: updated
Matthias Klose (doko) wrote :

promoted

Changed in xmlunit (Ubuntu):
status: New → Fix Released
Changed in qdox (Ubuntu):
status: New → Fix Released
Changed in ow-util-ant-tasks (Ubuntu):
status: New → Fix Released
Changed in maven-ant-helper (Ubuntu):
status: New → Fix Released
Changed in libcommons-net2-java (Ubuntu):
status: New → Fix Released
Changed in libcommons-compress-java (Ubuntu):
status: New → Fix Released
Changed in libcommons-cli-java (Ubuntu):
status: New → Fix Released
Changed in jmock (Ubuntu):
status: New → Fix Released
Changed in jarjar (Ubuntu):
status: New → Fix Released
Changed in ivy (Ubuntu):
status: New → Fix Released
Changed in commons-vfs (Ubuntu):
status: New → Fix Released
Changed in cglib (Ubuntu):
status: New → Fix Released
Changed in byacc-j (Ubuntu):
status: New → Fix Released
Changed in bouncycastle (Ubuntu):
status: New → Fix Released
Changed in asm3 (Ubuntu):
status: New → Fix Released
Changed in ant-contrib (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers